Delete payment method from profile

This endpoint allows to delete a payment method from a profile. In case of success, the request will return a response with status 204.

DELETE

https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}/payment-methods/{payment_method_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical payments. To ensure that eac...Show more
Path
customer_id
string

REQUIRED

Unique customer identifier to which the payment profile that is being modified belongs. It can be obtained by sending a request to the "Search clients" endpoint.
payment_profile_id
string

REQUIRED

Unique payment profile identifier to modify, associated with the customer. It can be obtained by sending a request to the "Query a client's payment profi||le" endpoint.
payment_method_id
string

REQUIRED

Unique identifier of the payment method to be deleted from the profile, obtained in the response to the creation of the profile.
Response parameters
Esta solicitação não tem resposta
Errors

400Error

payment_methods_required

The request failed because no object with payment method information was sent. More details can be found in "details". Verify that the data sent is correct and try again.

html_insertion_not_allowed

Request failed because HTML tags were inserted in fields that do not allow them. More information can be found in "details". Verify that the data sent is correct and try again.

customer_id_mismatch

Request failed because the "customer_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

caller_id_mismatch

Request failed because the "caller_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

site_id_mismatch

Request failed because the "site_id" does not match the payment profile. Verify if the correct value was sent and try again.

unknown_error_occurred

Unknown error. Contact Support for more information.

401Error

header_missing

Request failed because a required header is missing. Make sure that all necessary authentication headers are being sent.

Unauthorized Access Token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Error

resource_not_found

Request failed because the payment profile was not found. Verify that the payment profile ID, customer ID and caller ID are correct.

429Error

Too Many Requests

Request failed because the request rate has been exceeded. Reduce the frequency or implement a retry system with exponential backoff.

500Error

internal_server_error

Request failed due to an internal server error. Please try again later and, if the problem persists, contact Support with error details.

Request
curl -X DELETE \
    'https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles/{payment_profile_id}/payment-methods/{payment_method_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
       -H 'X-Idempotency-Key: e888d2cf-2b07-405a-b074-3987c4c07b44' \
    
Response
// This request has not been responded to.